## ruptime 1.0

=== Makefile ===
#	$NetBSD$
#	from: @(#)Makefile	8.1 (Berkeley) 6/6/93

PROG=	ruptime

.include <bsd.prog.mk>

## ruptime 1.8

=== debian/changelog ===
ruptime (1.8-5) unstable; urgency=medium

  * d/control: change archtitecture to all.
  * Bump standards version to 4.7.2.
  * d/patches/memtester-full-path: patched to find memtester as user only.

 -- Alex Myczko <tar@debian.org>  Fri, 17 Oct 2025 12:15:30 +0200

ruptime (1.8-4) unstable; urgency=medium

  * Add patch to improve ruptimed performance.

 -- Alex Myczko <tar@debian.org>  Mon, 07 Apr 2025 07:42:41 +0000

ruptime (1.8-3) unstable; urgency=medium

  * d/ruptime.postinst: use absolute paths for ucf.

 -- Alex Myczko <tar@debian.org>  Wed, 06 Nov 2024 10:25:42 +0000

ruptime (1.8-2) unstable; urgency=medium

  * Move aliased files from / to /usr (DEP17). (Closes: #1085053)
  * Bump standards version to 4.7.0.
  * d/control: drop dmidecode dependencies, move iptables to suggests.

 -- Alex Myczko <tar@debian.org>  Tue, 15 Oct 2024 06:53:52 +0000

ruptime (1.8-1) unstable; urgency=medium

  * Initial release. (Closes: #1013361)

 -- Gürkan Myczko <tar@debian.org>  Mon, 25 Mar 2024 00:14:57 +0100

=== debian/control ===
Source: ruptime
Section: net
Priority: optional
Maintainer: Alex Myczko <tar@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/ruptime
Vcs-Git: https://salsa.debian.org/debian/ruptime.git
Homepage: https://github.com/alexmyczko/ruptime

Package: ruptime
Architecture: all
Depends:
 ${misc:Depends},
 acct,
 bc,
 cron,
 memtester,
 netcat-openbsd | netcat-traditional,
 openssl,
 ucf,
 xz-utils,
Conflicts: rwho
Description: poor man's ruptime
 This is a modern implementation of the r-commands developed in 1982.

Package: ruptimed
Architecture: all
Depends:
 ${misc:Depends},
 tcputils,
 xz-utils,
 openssl,
 cron,
 adduser,
 daemon,
 ruptime (>= ${source:Version})
Suggests:
 iptables | nftables,
Conflicts: rwhod
Description: poor man's ruptime - server
 This is a modern implementation of the r-commands developed in 1982.

=== debian/watch ===
version=4

# GitHub hosted projects.
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/alexmyczko/ruptime/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
